#
# spec file for package yast2-nis-server
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-nis-server
Version:        3.1.4
Release:        1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  doxygen
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-network
BuildRequires:  yast2-nis-client
BuildRequires:  yast2-testsuite
Requires:       yast2-network
Requires:       yast2-nis-client

# NetworkInterfaces
# Wizard::SetDesktopTitleAndIcon
Requires:       yast2 >= 2.21.22

Provides:       yast2-config-nis-server
Obsoletes:      yast2-config-nis-server
Provides:       yast2-trans-nis-server
Obsoletes:      yast2-nis-server-devel-doc
Obsoletes:      yast2-trans-nis-server

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Network Information Services (NIS) Server Configuration
License:        GPL-2.0
Group:          System/YaST

%description 
The YaST2 component for NIS server configuration. NIS is a service
similar to yellow pages.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/nis_server
%{yast_yncludedir}/nis_server/*.rb
%dir %{yast_moduledir}
%{yast_moduledir}/NisServer.rb
%dir %{yast_clientdir}
%{yast_clientdir}/nis_server.rb
%{yast_clientdir}/nis_server_auto.rb
%{yast_clientdir}/nis-server.rb
%dir %{yast_desktopdir}
%{yast_desktopdir}/nis_server.desktop
%dir %{yast_scrconfdir}
%{yast_scrconfdir}/run_ypwhich_m.scr
%{yast_scrconfdir}/var_yp_securenets.scr
%{yast_scrconfdir}/var_yp_ypservers.scr
%{yast_schemadir}/autoyast/rnc/nis_server.rnc

%dir %{yast_docdir}
%{yast_docdir}/COPYING

%changelog
* Wed Jun  1 2016 igonzalezsosa@suse.com
- Drop yast2-nis-server-devel-doc package (fate#320356)
- 3.1.4
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.3
* Mon Jun  2 2014 locilka@suse.com
- Marked text for translation (bnc#880306)
- 3.1.2
* Fri May 30 2014 jsuchome@suse.cz
- use correct name of service for firewall (bnc#880383)
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Wed Nov 28 2012 jsuchome@suse.cz
- save local NIS client with static netconfig policy (bnc#786799)
- 2.23.0
* Tue Apr 24 2012 ug@suse.de
- small rnc file fix
* Tue Jan 24 2012 jsuchome@suse.cz
- confirmed licence
- 2.22.0
* Wed Sep 28 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Mon Aug  8 2011 jsuchome@suse.cz
- remember the settings after clicking Details (bnc#710882)
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Tue Jun 16 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Thu Jan 22 2009 jsuchome@suse.cz
- NisServer::modified used to indicate if changes were done
- ask for abort if changes were done (bnc#460168)
- code cleanup
- 2.18.0
* Thu Sep  4 2008 jsuchome@suse.cz
- use rpcbind instead of portmap if available (bnc#423026)
- 2.17.2
* Tue Sep  2 2008 jsuchome@suse.cz
- fixed button alignment (bnc#421043)
- 2.17.1
* Thu Aug 28 2008 jsuchome@suse.cz
- adapted to recent changes in nis-client (no check for DHCP)
- DHCLIENT_SET_DOMAINNAME replaced with NETCONFIG_NIS_SETDOMAINNAME
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon Apr 21 2008 jsuchome@suse.cz
- check if /var/yp/Makefile exists before reading it (bnc#381369)
- 2.16.4
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
- 2.16.3
* Mon Jan 28 2008 jsuchome@suse.cz
- fixed broken requirement
- 2.16.2
* Thu Jan 24 2008 mzugec@suse.cz
- replace deprecated NetworkDevices by NetworkInterfaces (from yast2)
- 2.16.1
* Wed Oct  3 2007 mvidner@suse.cz
- Do not try to package COPYRIGHT.english, it is gone from
  devtools (#299144).
- 2.16.0
* Thu Sep  6 2007 coolo@suse.de
- This package does _not_ provide yast2-devel-doc
* Thu Jul 26 2007 jsuchome@suse.cz
- documentation moved to -devel-doc package (F302461)
- 2.15.1
* Thu Jul 19 2007 jsuchome@suse.cz
- do not mention /etc/gshadow (#292299)
- 2.15.0
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Wed Nov  8 2006 jsuchome@suse.cz
- fixed autoyast schema (#211014)
- 2.14.1
* Mon Nov  6 2006 jsuchome@suse.cz
- new version for new product
- 2.14.0
* Thu Oct 26 2006 jsuchome@suse.cz
- added schema name to desktop file (#215249)
- 2.13.6
* Thu Oct 26 2006 jsuchome@suse.cz
- schema file moved from autoyast package (#215249)
- 2.13.5
* Tue Aug  1 2006 jsuchome@suse.cz
- install also ypbind package (#195400)
- 2.13.4
* Mon Mar 27 2006 jsuchome@suse.cz
- added checking for root permissions (#158483)
- 2.13.3
* Mon Mar 27 2006 jsuchome@suse.cz
- removed yast2-devel-packages from BuildRequires
- 2.13.2
* Tue Jan 31 2006 jsuchome@suse.cz
- minimum width for Merge frames (#146629)
- 2.13.1
* Tue Dec 20 2005 jsuchome@suse.cz
- new version for new product version
- 2.13.0
* Fri Sep  2 2005 jsuchome@suse.cz
- update to current output of makedbm (#114932)
- 2.12.4
* Tue Aug 30 2005 jsuchome@suse.cz
- correctly detect if the master server is running (#113774)
- 2.12.3
* Thu Jul 28 2005 jsuchome@suse.cz
- updated desktop file
- 2.12.2
* Wed Jun 29 2005 jsuchome@suse.cz
- allow only hostnames (and not IPs) in slave server list (#94286)
- allow hostname as master server address
- show the expected hostname of slave server in the error message (#94287)
- 2.12.1
* Wed May  4 2005 jsuchome@suse.cz
- renamed "default" variables
- 2.12.0
* Mon Feb 14 2005 jsuchome@suse.cz
- fix: allow host names for slaves (#50735)
- 2.11.5
* Mon Feb  7 2005 jsuchome@suse.cz
- merged texts from proofreading
- 2.11.4
* Tue Jan 18 2005 jsuchome@suse.cz
- command line support: configure master and slave server
- 2.11.3
* Wed Dec 15 2004 jsuchome@suse.cz
- fixed NFB (yast2-firewall not required)
- adapted to new Progress usage
- fixed SCR calls when there are not config files
- 2.11.2
* Fri Nov  5 2004 jsuchome@suse.cz
- lookup's and select's replaced by brackets
- 2.11.1
* Fri Oct 29 2004 jsuchome@suse.cz
- adapted for new Mode:: interface
- used common texts from Message module
- 2.11.0
* Tue Sep 14 2004 jsuchome@suse.cz
- adapted testsuite to changes in yast2-firewall
- 2.10.5
* Mon Aug 30 2004 nashif@suse.de
- use modified flag (#43904)
- 2.10.4
* Mon Aug 30 2004 jsuchome@suse.cz
- firewall: use "nis-server" service instead of "portmap"
- 2.10.3
* Fri Aug 27 2004 jsuchome@suse.cz
- merged proofread texts
* Mon Aug 16 2004 jsuchome@suse.cz
- do not create gshadow file (#42646)
- 2.10.2
* Tue Aug 10 2004 jsuchome@suse.cz
- merged proofread texts
* Fri Aug  6 2004 jsuchome@suse.cz
- basic command line support (summary)
- 2.10.1
* Thu Aug  5 2004 jsuchome@suse.cz
- added widgets for adjusting firewall configuration
* Wed Aug  4 2004 jsuchome@suse.cz
- warn when DHCP could change domain name (#28727)
* Tue Jul 27 2004 jsuchome@suse.cz
- use Package module instead of Require
* Mon Jul 12 2004 mvidner@suse.cz
- Fixed cancelling Abort (#42730).
* Thu Jun 17 2004 mvidner@suse.cz
- Added "testedfiles" to test cases to make it work with the new testsuite.
- 2.10.0
* Fri Jun  4 2004 mvidner@suse.cz
- Fixed editing and deleting securenets entries (#41493).
- Prevented aborting after some error popups.
* Fri May  7 2004 mvidner@suse.cz
- Fixed a typo that made Write unfunctional (#40086)
- 2.9.9
* Fri Apr  2 2004 mvidner@suse.cz
- changed license to GPL
- 2.9.8
* Mon Mar 29 2004 mvidner@suse.cz
- fixed build by avoiding nil in testsuite (#36922)
- 2.9.7
* Fri Mar 26 2004 mvidner@suse.cz
- fixed writing broken by improper use of eval (#37031)
- yast2-installation not necessary anymore
- 2.9.6
* Mon Mar  8 2004 lslezak@suse.cz
- use Sequencer::
- set icon
- version 2.9.5
* Mon Mar  8 2004 mvidner@suse.cz
- switched from Runlevel to Service
- require yast2-installation because of ProductFeatures
- 2.9.4
* Fri Mar  5 2004 mvidner@suse.cz
- added type information (lslezak)
- 2.9.3
* Tue Feb 10 2004 lslezak@suse.cz
- removed *.y2cc file
- NI fixes (removed globals, data types, dynamic scope)
- use IP:: module
- version 2.9.2
* Wed Feb  4 2004 lslezak@suse.cz
- yast2-nis-client and yast2-pam needed for build
- NI fixes
- testsuite update
- version 2.9.1
* Sun Sep 21 2003 adrian@suse.de
- put package to stable with fixed kcontrol desktop entry
- 2.8.6
* Fri Aug 22 2003 nashif@suse.de
- Return required package during autoinstall
- 2.8.5
* Wed Aug 20 2003 jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.4
* Thu Aug 14 2003 jsuchome@suse.cz
- removed "really save" and "succesfully saved" popups, added writing
  progress dialog (#28729)
- 2.8.3
* Mon Aug  4 2003 mvidner@suse.de
- Added desktop file (supersedes y2cc file).
- 2.8.2
* Wed Jul 23 2003 mvidner@suse.cz
- Fixed autoinstallation (#26998).
- Using Label, Popup, Require.
- 2.8.1
* Mon Feb 17 2003 mvidner@suse.de
- Fixed file names of png's that were named as jpg's. (#21925)
- Changed _auto::Result to Export (nashif).
- 2.7.2
* Mon Feb 10 2003 jsuchome@suse.de
- Merged proofread texts.
* Mon Feb  3 2003 mvidner@suse.de
- Added autoyast funcitionality (nashif).
- Converted to a standard structure with a NisServer module.
- 2.7.1
* Wed Jan 15 2003 mvidner@suse.de
- Added function key shortcuts in ncurses.
- 2.7.0
* Wed Aug 28 2002 mvidner@suse.cz
- Fix: The values of YPPWD_CHSH and YPPWD_CHFN were swapped when saving.
- Fixed detecting whether we are in the master's slave list
  when ypbind isn't running.
- 2.6.11
* Mon Aug 26 2002 mvidner@suse.cz
- Use not only /etc/defaultdomain but also ypdomainname,
  because dhcpcd may use it. (~#14232)
- Adapted for the new packagemanager.
- 2.6.10
* Wed Aug 14 2002 mvidner@suse.cz
- Make "yast2 nis-server" invoke "yast2 nis_server" (#17570).
- Merged proofread texts for the second translation round.
- 2.6.9
* Sun Aug 11 2002 mvidner@suse.cz
- Let the table keep the keyboard focus (#16116 workaround).
- 2.6.8
* Sat Aug  3 2002 schwab@suse.de
- Fix requires.
* Wed Jul 31 2002 mvidner@suse.cz
- Added comments for translators
- yast2-runlevel is no longer required.
- 2.6.7
* Fri Jul 19 2002 mvidner@suse.cz
- Moved sysconfig/ypserv definition to yast2.rpm to share it with yast2-users.
- Labels internally reorganized, preventing a babelfish effect (#17002).
- Merged proofread texts.
- 2.6.6
* Thu Jul 11 2002 mvidner@suse.cz
- Create YPPWD_SRCDIR if it does not exist (#15624).
- Nis domain names are not as strict as DNS ones (#16648).
- Fixed client Write invocation.
- Abort on WM close button.
- 2.6.5
* Thu Jul  4 2002 arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Fri Jun 28 2002 mvidner@suse.cz
- Renamed to "yast2-nis-server"
- menuentry -> config
- 2.6.2
* Tue Apr 16 2002 mvidner@suse.cz
- Rewrote the maps selection dialog:
  * Two clumsy SelectionBoxes replaced by a single MultiSelectionBox.
  * Offer only those maps whose sources exist.
  * Added amd.home and removed amd and home (duh).
- Added return type declarations to defines.
- Fix for automake 1.6
- 2.6.1
* Mon Mar 11 2002 mvidner@suse.cz
- Check that the source directory exists. (#14708)
- Show also init.d/ypbind output on error. (#14706)
- 2.5.9
* Mon Feb 11 2002 mvidner@suse.cz
- Fixed Next/Finish in case ypserv is not installed. (#13042)
- Allow 0.0.0.0 as a net mask again.
- Added SetFocus to input popups.
- Clarified ExitPopup by using YesNo instead of ContinueCancel.
- 2.5.8
* Fri Feb  1 2002 mvidner@suse.cz
- Fixed the interface to the client module after autoinst changes.
- Fixed invisible labels in the first dialog.
- Had the English texts proofread.
- 2.5.7
* Mon Jan 28 2002 mvidner@suse.cz
- Switched from rc-config-agent to ini-agent.
- 2.5.6
* Fri Jan 11 2002 mvidner@suse.cz
- Not using /etc/rc.config* .
- 2.5.5
- Removed old menu entry.
* Fri Jan 11 2002 mvidner@suse.cz
- Changed an identifier that has become a builtin name. (2.5.4)
* Fri Dec  7 2001 mvidner@suse.cz
- Obliterated START_ variables, using Runlevel.
- Client config by calling nis_write.
- Using Wizard and Progress, syntax update.
- Using y2autoconf and create-spec.
- 2.5.3
* Tue Nov 13 2001 mvidner@suse.cz
- Added default values for lookups. (2.5.2)
* Mon Oct 29 2001 mvidner@suse.cz
- Added a missing CloseDialog (#12090, ncurses cc only).
- Removed a spurious percent sign confusing gettext.
- 2.5.1
* Tue Oct  2 2001 mvidner@suse.cz
- Two labels were not marked for translation. (2.5.0)
* Mon Sep 24 2001 mvidner@suse.cz
- Icon changed from "generic network" to "yellow book" used also
  for the client. (#11245) (2.4.18)
* Fri Sep 14 2001 mvidner@suse.cz
- Delay when restarting ypbind (bug #10428). (2.4.17)
* Fri Sep 14 2001 mvidner@suse.cz
- Documentation update.
- Fixed a disappearing progress label regression. (#10258)
- Minor layout fixes for ncurses.
- 2.4.16
* Tue Sep 11 2001 mvidner@suse.cz
- Client: run SuSEconfig only after flushing rc-files. (2.4.15)
* Mon Sep 10 2001 mvidner@suse.cz
- Slave server saves the domain name too.
- Slave server gets the list of maps from yphelper, not from ypwhich.
  (Works also when ypbind is not running, can change a domain)
- Get the master name from a map, do not enforce an IP address.
- 2.4.14
* Tue Sep  4 2001 mvidner@suse.cz
- Fixed using more than one slave server. (2.4.13)
* Mon Sep  3 2001 mvidner@suse.cz
- Start services only if not running already, portmap needs this (Bug #9999).
- Fixed detection of master without passwd.byname, using base host name.
- Make the ypservers map too.
- Fixed slave server setup (inverted NOPUSH).
- The check for presence in ypservers is done only after the domain is set up.
- Fixed stopping the client.
- Fixed backing up /var/yp/{ypservers,securenets}.
- Eliminated redundant bash calls in server selection dialog.
- 2.4.12
* Thu Aug 30 2001 ro@suse.de
- added <libycp-devel> to neededforbuild (for testsuite)
* Mon Aug 27 2001 mvidner@suse.cz
- Fixed starting the client (write yp.conf, set START_PORTMAP).
- Fixed starting yppasswdd and ypxfrd.
- 2.4.11
* Fri Aug 24 2001 mvidner@suse.cz
- Fixed re-detection of being a server. (2.4.10)
* Tue Aug 21 2001 mvidner@suse.cz
- Replaced obsolete fileexist builtin, fixed testsuite accordingly.
- 2.4.9
* Fri Aug 17 2001 mvidner@suse.cz
- Fixed detection of whether to start a client too.
- Fixed detection of being a master when a client is not started.
- 2.4.8
* Tue Aug 14 2001 mvidner@suse.cz
- Fixed *.scr file list. (Don't steal from yast2-core-scr) (2.4.7)
* Mon Aug 13 2001 mvidner@suse.cz
- Moved specialized agents from yast2-agent-{any,rcconfig}.
- 2.4.6
* Wed Aug  8 2001 mvidner@suse.cz
- Better error formatting.
- LSB-compatible daemon restarting.
- Warn about needing to reboot when client of a changed domain.
- Changed from RPM Requires to sw_single
- Using common routines from yast2-lib-network.
- 2.4.4
* Tue Jul 31 2001 mvidner@suse.cz
- New maintainer.
- Temporary fix of an inconsistent testsuite.
- Requires yast2-config-package-manager and ypserv.
- Some English corrections.
- Added some doc comments.
- Unified Add-Edit-Delete buttons.
- Better enabling/disabling of buttons.
* Mon Jul 30 2001 mvidner@suse.cz
- Added missing files.
- Turned off autoheader.
- Replaced _("&OK") by OKButtonLabel() etc.
- version 2.4.2
* Fri Jul 20 2001 dan@suse.cz
- help text and locale fixes
* Tue Jul 17 2001 dan@suse.cz
- initial version
